Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class GUITools

    java.lang.Object
      org.biojava.bio.gui.sequence.GUITools

    public final class GUITools

extends Object

Since:
  1.4
Author:
  Matthew Pocock, Kalle Näslund

Method Summary
`static Rectangle2D` | `createInnerBounds(CircularRendererContext crc)`
`static Rectangle2D` | `createOuterBounds(CircularRendererContext crc, double depth)`
`static Location` | `getVisibleRange(SequenceRenderContext src, Graphics2D g2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getVisibleRange

    public static Location getVisibleRange(SequenceRenderContext src,
                                           Graphics2D g2)

### createOuterBounds

    public static Rectangle2D createOuterBounds(CircularRendererContext crc,
                                                double depth)

### createInnerBounds

    public static Rectangle2D createInnerBounds(CircularRendererContext crc)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD